#ifneq ($(TARGET_SIMULATOR),true)

ifeq ($(KERNELRELEASE),kernel-4.4)

LOCAL_PATH				:=	$(call my-dir)

include $(CLEAR_VARS)

CROSS_COMPILE			:=	$(CURDIR)/prebuilts/gcc/linux-x86/arm/armv7a-cros-linux-gnueabi-4.9.2/bin/armv7a-cros-linux-gnueabi-
TARGET_LINUXPATH		:=	$(CURDIR)/$(TARGET_OUT_INTERMEDIATES)/KERNEL_OBJ
TARGET_PREBUILT_KERNEL	:=	$(PRODUCT_OUT)/kernel

TPS43061_MODULE			:=	$(LOCAL_PATH)/tps43061.ko
TPS43061_SUBDIRS		:=	$(CURDIR)/$(LOCAL_PATH)
TPS43061_SRC_FILES		:=	$(addprefix $(TPS43061_SUBDIRS)/,module.c)
TPS43061_CLEANUP		:=	$(addprefix $(TPS43061_SUBDIRS)/,	\
								*.o								\
								*.mod.?							\
								.*cmd							\
								.tmp_versions					\
								Module.symvers					\
								modules.order					\
							)

LOCAL_MODULE			:=	tps43061.ko
LOCAL_MODULE_TAGS		:=	debug
LOCAL_MODULE_CLASS		:=	ETC
LOCAL_MODULE_PATH		:=	$(TARGET_OUT)/lib/modules
LOCAL_SRC_FILES			:=	tps43061.ko


$(TPS43061_MODULE) : $(TARGET_PREBUILT_KERNEL) $(TPS43061_SRC_FILES) $(TPS43061_SUBDIRS)/Android.mk $(TPS43061_SUBDIRS)/Makefile
	@make ARCH=arm CROSS_COMPILE=$(CROSS_COMPILE) -C $(TARGET_LINUXPATH) SUBDIRS=$(TPS43061_SUBDIRS) modules
	@$(CROSS_COMPILE)strip --strip-unneeded $@
	@rm -rf $(TPS43061_CLEANUP)


include $(BUILD_PREBUILT)

endif

#endif
